%define module	pybeam

Name:		python-%{module}
Version:	0.6
Release:	%mkrel 1
Summary:	Python module to parse Erlang BEAM files
License:	MIT
Group:		Development/Python
URL:		https://github.com/matwey/pybeam
Source0:	https://github.com/matwey/%{module}/archive/%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch

%description
Python module to parse Erlang BEAM files.

%package -n	python3-%{module}
Summary:	Python 3 module to parse Erlang BEAM files
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(construct)
BuildRequires:	python3dist(six)
BuildRequires:  python3dist(sphinx)
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Python 3 module to parse Erlang BEAM files.

%prep
%autosetup -p1 -n %{module}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Tue Mar 31 2020 daviddavid <daviddavid> 0.6-1.mga8
+ Revision: 1562639
- new version: 0.6

* Sun Feb 16 2020 daviddavid <daviddavid> 0.5-4.mga8
+ Revision: 1532459
- add upstream fix to work with construct 2.10.x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.5-3.mga8
+ Revision: 1442339
- rebuild for python3.8

* Sun Aug 04 2019 wally <wally> 0.5-2.mga8
+ Revision: 1427297
- drop python2 support

* Sat Mar 02 2019 daviddavid <daviddavid> 0.5-2.mga7
+ Revision: 1371012
- rename python-pybeam to python2-pybeam

* Wed Jan 09 2019 tv <tv> 0.5-1.mga7
+ Revision: 1352987
- BR sphinx
- new release
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.1-2.mga7
+ Revision: 1289762
- Mageia 7 Mass Rebuild

* Tue Jun 12 2018 pterjan <pterjan> 0.4.1-1.mga7
+ Revision: 1236449
- Update to 0.4.1

* Thu Oct 05 2017 pterjan <pterjan> 0.4-1.mga7
+ Revision: 1168917
- Update to 0.4 to support new construct

* Fri Aug 04 2017 tv <tv> 0.3.2-3.mga7
+ Revision: 1134670
- rebuild for new python

* Sat Jan 07 2017 daviddavid <daviddavid> 0.3.2-2.mga6
+ Revision: 1080414
- add missing BR on python(3)-six

* Fri Apr 22 2016 daviddavid <daviddavid> 0.3.2-1.mga6
+ Revision: 1004794
- imported package python-pybeam

